>From a4bc0b4f202327d88afa03309ef628e321c06d29 Mon Sep 17 00:00:00 2001
From: Ade Lee <alee@redhat.com>
Date: Sat, 7 Jun 2014 01:46:41 +0800
Subject: [PATCH 221/222] Fix pycharm warnings for server python classes

Mostly reformatting due to PEP8.  Not all pycharm warnings are
addressed, but the vast majority are.
---
 base/server/python/pki/server/__init__.py          |  19 +-
 .../python/pki/server/deployment/pkiconfig.py      |  20 +-
 .../python/pki/server/deployment/pkihelper.py      | 942 ++++++++++++---------
 .../python/pki/server/deployment/pkilogging.py     |  10 +-
 .../python/pki/server/deployment/pkimanifest.py    |  20 +-
 .../python/pki/server/deployment/pkimessages.py    |  79 +-
 .../python/pki/server/deployment/pkiparser.py      | 327 +++----
 .../python/pki/server/deployment/pkiscriptlet.py   |   1 +
 base/server/python/pki/server/upgrade.py           |  86 +-
 base/server/sbin/pki-server-upgrade                |  13 +-
 base/server/sbin/pkidestroy                        |  60 +-
 base/server/sbin/pkispawn                          | 193 +++--
 12 files changed, 1022 insertions(+), 748 deletions(-)

diff --git a/base/server/python/pki/server/__init__.py b/base/server/python/pki/server/__init__.py
index e41f1a980584ecb234784cd0a0c947164c17cbe5..3eb6b5f97b0c22b2ff95f8f5e73ae3e09d89b693 100644
--- a/base/server/python/pki/server/__init__.py
+++ b/base/server/python/pki/server/__init__.py
@@ -31,15 +31,17 @@ SUBSYSTEM_TYPES = ['ca', 'kra', 'ocsp', 'tks', 'tps']
 
 class PKISubsystem(object):
 
-    def __init__(self, instance, subsystemName):
+    def __init__(self, instance, subsystem_name):
         self.instance = instance
-        self.name = subsystemName
+        self.name = subsystem_name
         self.type = instance.type
         if self.type >= 10:
-            self.conf_dir = os.path.join(INSTANCE_BASE_DIR, \
-                instance.name, 'conf', subsystemName)
-            self.base_dir = os.path.join(INSTANCE_BASE_DIR, \
-                instance.name, subsystemName)
+            self.conf_dir = os.path.join(
+                INSTANCE_BASE_DIR,
+                instance.name, 'conf', subsystem_name)
+            self.base_dir = os.path.join(
+                INSTANCE_BASE_DIR,
+                instance.name, subsystem_name)
         else:
             self.conf_dir = os.path.join(pki.BASE_DIR, instance.name, 'conf')
             self.base_dir = os.path.join(pki.BASE_DIR, instance.name)
@@ -50,8 +52,7 @@ class PKISubsystem(object):
         if not os.path.exists(self.conf_dir):
             raise pki.PKIException(
                 'Invalid subsystem: ' + self.__repr__(),
-                 None, self.instance)
-
+                None, self.instance)
 
     def __repr__(self):
         return str(self.instance) + '/' + self.name
@@ -84,7 +85,7 @@ class PKIInstance(object):
 
 class PKIServerException(pki.PKIException):
 
-    def __init__(self, message, exception=None, \
+    def __init__(self, message, exception=None,
                  instance=None, subsystem=None):
 
         pki.PKIException.__init__(self, message, exception)
diff --git a/base/server/python/pki/server/deployment/pkiconfig.py b/base/server/python/pki/server/deployment/pkiconfig.py
index bb89cc5fc561b62959498ef7eb7ed1b8aae9f5a8..67edad1ee40bd1c938373fbaeca3fe6c8bf40be4 100644
--- a/base/server/python/pki/server/deployment/pkiconfig.py
+++ b/base/server/python/pki/server/deployment/pkiconfig.py
@@ -41,18 +41,18 @@ PKI_SIGNED_AUDIT_SUBSYSTEMS = ["CA", "KRA", "OCSP", "TKS", "TPS"]
 PKI_APACHE_SUBSYSTEMS = ["RA"]
 PKI_TOMCAT_SUBSYSTEMS = ["CA", "KRA", "OCSP", "TKS", "TPS"]
 PKI_BASE_RESERVED_NAMES = ["alias", "bin", "ca", "common", "conf", "kra",
-                           "lib", "logs", "ocsp", "temp", "tks", "tps", "webapps",
-                           "work"]
+                           "lib", "logs", "ocsp", "temp", "tks", "tps",
+                           "webapps", "work"]
 PKI_CONFIGURATION_RESERVED_NAMES = ["CA", "java", "nssdb", "rpm-gpg",
                                     "rsyslog", "tls"]
 PKI_APACHE_REGISTRY_RESERVED_NAMES = ["ra"]
 PKI_TOMCAT_REGISTRY_RESERVED_NAMES = ["ca", "kra", "ocsp", "tks", "tps"]
 
-PKI_INDENTATION_LEVEL_0 = {'indent' : ''}
-PKI_INDENTATION_LEVEL_1 = {'indent' : '... '}
-PKI_INDENTATION_LEVEL_2 = {'indent' : '....... '}
-PKI_INDENTATION_LEVEL_3 = {'indent' : '........... '}
-PKI_INDENTATION_LEVEL_4 = {'indent' : '............... '}
+PKI_INDENTATION_LEVEL_0 = {'indent': ''}
+PKI_INDENTATION_LEVEL_1 = {'indent': '... '}
+PKI_INDENTATION_LEVEL_2 = {'indent': '....... '}
+PKI_INDENTATION_LEVEL_3 = {'indent': '........... '}
+PKI_INDENTATION_LEVEL_4 = {'indent': '............... '}
 
 PKI_DEPLOYMENT_INTERRUPT_BANNER = "-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+"\
                                   "-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-"
@@ -123,6 +123,7 @@ pki_root_prefix = None
 def str2bool(string):
     return string.lower() in ("yes", "true", "t", "1")
 
+
 # NOTE:  To utilize the 'preparations_for_an_external_java_debugger(master)'
 #        and 'wait_to_attach_an_external_java_debugger(master)' functions,
 #        change 'pki_enable_java_debugger=False' to
@@ -140,13 +141,14 @@ def prepare_for_an_external_java_debugger(instance):
     print "              \"address=8000,server=y,suspend=n \""
     print "              \"-Djava.awt.headless=true -Xmx128M\""
     print
-    raw_input("Enable external java debugger 'JAVA_OPTS' "\
+    raw_input("Enable external java debugger 'JAVA_OPTS' "
               "and press return to continue  . . . ")
     print
     print PKI_DEPLOYMENT_INTERRUPT_BANNER
     print
     return
 
+
 def wait_to_attach_an_external_java_debugger():
     print
     print PKI_DEPLOYMENT_INTERRUPT_BANNER
@@ -155,7 +157,7 @@ def wait_to_attach_an_external_java_debugger():
     print "the 'address' selected by 'JAVA_OPTS' (e. g. - port 8000) and"
     print "set any desired breakpoints"
     print
-    raw_input("Please attach an external java debugger "\
+    raw_input("Please attach an external java debugger "
               "and press return to continue  . . . ")
     print
     print PKI_DEPLOYMENT_INTERRUPT_BANNER
